Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.hsqldb
Class HSQLDBProcedureTranslator

    java.lang.Object
      org.apache.cayenne.access.QueryTranslator
          org.apache.cayenne.access.trans.ProcedureTranslator
              org.apache.cayenne.dba.hsqldb.HSQLDBProcedureTranslator

    public class HSQLDBProcedureTranslator

extends ProcedureTranslator

Works around HSQLDB's pickiness about stored procedure syntax.

Since:
  1.2
Author:
  Cristopher Daniluk

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.ProcedureTranslator
`callParams, values`

Fields inherited from class org.apache.cayenne.access.QueryTranslator
`adapter, connection, engine, entityResolver, query`

Constructor Summary
`HSQLDBProcedureTranslator()`

Method Summary
`protected java.lang.String` | `createSqlString()` Creates HSQLDB-compliant SQL to execute a stored procedure.

Methods inherited from class org.apache.cayenne.access.trans.ProcedureTranslator
`createStatement, getProcedure, getProcedureQuery, getProcedureResultDescriptor, initStatement, initValues, setInParam, setOutParam`

Methods inherited from class org.apache.cayenne.access.QueryTranslator
`createStatement, getAdapter, getCon, getConnection, getEngine, getEntityResolver, getQuery, getRootDbEntity, getRootEntity, getRootInheritanceTree, setAdapter, setCon, setConnection, setEngine, setEntityResolver, setQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDBProcedureTranslator

    public HSQLDBProcedureTranslator()

Method Detail

### createSqlString

    protected java.lang.String createSqlString()

  Creates HSQLDB-compliant SQL to execute a stored procedure.

  Overrides:
    `createSqlString` in class `ProcedureTranslator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.